/********** Template CSS **********/
/* COLORES MURUHUAY
    RGB: #81358A, RGBA: (129, 53, 138, 0.8)
    RGB: #285FAA, RGBA: (40, 95, 170, 0.8)
*/
:root {
    --primary: #81358A;
    --primartrans: rgba(129, 53, 138, 0.9);
    --secondary: #285FAA;
    --secondtrans: rgba(40, 95, 170, 0.9);
    --light: #F6F7FC;
    --lighttrans: rgba(255,255,255.0,.8);
    --dark: #15233C;
    --darktrans: rgba(0,0,0.0,.8);
    --gray: #bcc3c9;
    --grayli: #ebebeb;
}
/* En tu archivo CSS personalizado */
.my-primary {
  background-color: var(--primary) !important;
}
.my-secondary {
  background-color: var(--gray) !important;
}
.my-tercery {
  background-color: var(--grayli) !important;
}

.back-to-top {
    position: fixed;
    display: none;
    right: 1.9rem;
    bottom: 6rem;
    z-index: 99;
}

  .contact-link {
    color: inherit; /* Heredar el color del texto padre */
    text-decoration: none; /* Eliminar subrayado */
  }

.load{
    text-align: center; /* Centrar horizontalmente */
    left: 50%;
    top: 50%;
}
#loader{
    display: none; /* Ocultar el contenedor del loader inicialmente */
}
#loader img{
    max-width: 50px; /* Ajusta el tamaño a tu preferencia */
    max-height: 50px; /* Ajusta el tamaño a tu preferencia */
    position: fixed;
    z-index: 99999;
}

/*********** Whatsapp **************/
.appWhatsapp{
    position:fixed;
    right: 0.5%;
    max-width: 60px !important;
    max-height: 60px !important;
    bottom:3%;
    z-index: 1000;
    padding: 0px;
}

.appWhatsapp .appWhat{
    width: 100%;
    height: auto;
}   

.appWhatsapp .appWhat:hover{
    animation: whatsapp.5s alternate infinite ease-in;
}
@keyframes whatsapp{
    0%{
        transform:translateY(-20%);
    }
    100%{
        transform:translateY(0%);
    }
}

/******* Personalizar Puntero **********/
.cursor-container {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
  z-index: 9999;
  transform: translate(20px, 20px); /* Ajusta los valores para separar la imagen del puntero */
}

.cursor-animado {

  position: fixed;
  pointer-events: none;
  z-index: 9999;
  transform-origin: center;
}

.leaf1 {
  width: 40px;
  height: 40px;
  background-image: url('../img/logos/ico-canada.svg'); /* Ruta de la segunda imagen de hoja */
  animation: giroCurva1 4s infinite linear;
}
.leaf2 {
  width: 35px;
  height: 40px;    
  background-image: url('../img/logos/ico-quebec.svg'); /* Ruta de la segunda imagen de hoja */
  animation: giroCurva2 4s infinite linear;
}

/* Animación del cursor (movimiento suave) */
@keyframes cursorAnim {
  0%, 100% {
    transform: translate(15px, 15px);
  }
  50% {
    transform: translate(25px, 10vh);
  }
}

/* Animación de curva de lado a lado */
@keyframes curvaLado {
  0% {
    transform: translateX(0);
  }
  50% {
    transform: translateX(45px);
  }
  100% {
    transform: translateX(0);
  }
}

/* Animación que gira 180 grados y realiza una pequeña curva */
@keyframes giroCurva1 {
  0%, 100% {
    transform: rotate(180deg) translateX(35px);
  }
  50% {
    transform: rotate(90deg) translateX(0);
  }
}
/* Animación que gira 180 grados y realiza una pequeña curva */
@keyframes giroCurva2 {
  0%, 100% {
    transform: rotate(90deg) translateX(0);
  }
  50% {
    transform: rotate(180deg) translateX(35px);
  }
}

/*********************** Personalizar Scroll ******************************/

body {
  overflow: overlay; /* Hace que funcione el scroll transparente */

}

body::-webkit-scrollbar{
    width: 5px;
    background-color: transparent;
}
body::-webkit-scrollbar:hover{
    width: 13px;
    background-color: transparent;
}

body::-webkit-scrollbar-thumb{
    width: 5px;
    height: 5px;
    background: rgba(37, 81, 156, 0.5);
    border: 1px solid rgba(27,97,172,.4);
    -webkit-border-radius: 10px;
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 6px rgba(37, 81, 156, 0.5); 
    cursor: pointer;
}

::-webkit-scrollbar-thumb:window-inactive {
	background: rgba(37, 81, 156, 0.5); 
}

body::-webkit-scrollbar-thumb:hover{
    background: rgba(37, 81, 156, 0.7);
    border: 1px solid rgba(27,97,172,.7);
    -webkit-border-radius: 10px;
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 6px rgba(37, 81, 156, 0.5); 
    cursor: pointer;
}
body::-webkit-scrollbar-thumb:active{
    background: rgba(37, 81, 156, 0.7);
    border: 1px solid rgba(27,97,172,.7);
    -webkit-border-radius: 10px;
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 6px rgba(37, 81, 156, 0.5); 
    cursor: pointer;
}
body::-webkit-scrollbar-track{
    -webkit-box-shadow: inset 0 0 6px rgba(37, 81, 156, 0.2);
    -webkit-border-radius: 10px;
    border-radius: 10px;
    background: transparent;
}
body::-webkit-scrollbar-track:hover{
    width: 5px;
    height: 15px;
    background: transparent;
    border: 1px solid rgba(27,97,172,.1);
    cursor: pointer;
    -webkit-box-shadow: inset 0 0 6px rgba(37, 81, 156, 0.2);
    -webkit-border-radius: 10px;
    border-radius: 10px;
}
body::-webkit-scrollbar-track:active{
    width: 5px;
    height: 15px;
    background: transparent;
    border: 1px solid rgba(27,97,172,.1);
    cursor: pointer;
    -webkit-box-shadow: inset 0 0 6px rgba(37, 81, 156, 0.2);
    -webkit-border-radius: 10px;
    border-radius: 10px;
}

/**********************************************************************/

/******************** Animacion texto Maquina de escribir **********************/

.big-tagline {
  display: flex;
  flex-direction: column;
  justify-content: center;
  height: 100%; /* Asegura que el contenedor ocupe todo el alto disponible */
}

.big-logo{
  align-items: end; /* Centra horizontalmente en el eje Y */
}


.fixed-width-button {
  font-size: 1.2vw;
  width: 14vw; /* Establece el ancho deseado para el botón */
  height: 3.5vw;
  padding: 12px 0px 0px 0px !important;

  border-radius: 6px;
}


.text-serv {
   
}

.text-serv,
.typed-cur {
    font-size: 2.1vw;
    font-weight: bold;
    color: var(--secondary);
    font-style: normal;
    text-transform: uppercase;
     margin: 10vw 0 0 0;
}


.typed,
.titulo-type {
    margin: 0;
    display: inline-block;
    line-height: 0; /* Ajustado el line-height para evitar inclinación */
    padding-bottom: 1vw;
    transform: none !important; /* Anula cualquier transformación aplicada de manera general */

}

.cadena-type p {
    margin: 0;
}

.lead {
    font-size: 1.3vw;
    font-style: normal;
    color: #000;
}

/**************************************************************************************/

/******************** Animacion texto circulo *************************/
.circle-text{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    display: inline-block;
    place-items: center;
    position: relative; /* Agregado para establecerlo como ancestro posicionado */
    text-align: center;
    margin-left: 50%; /* Ajusta el margen izquierdo según tus necesidades */
    margin-top: 1.3%;
    padding: 0 !important;
}

  #text-circ {
    height: 29vw;
    font-size: 1.5vw;
    color: var(--light);
    animation: rotate 16s linear infinite;
    text-shadow: 0 0 1px var(--darktrans), 0 0 2px var(--darktrans), 0 0 3px var(--darktrans), 0 0 4px var(--darktrans);
  }
  
 .circle-text span {
    position: absolute;
    transform-origin: right 14.5vw; /* Cambiado para usar el borde derecho como punto de origen */
    right: 50%; /* Ajuste de posición hacia la derecha */
  }


  @keyframes rotate {
    from {
      transform: rotate(0deg);
    }
    to {
      transform: rotate(-360deg);
    }
  }

/*******************************************************************************/
/******************** Animacion para logo Banner ***********************/

  .container-logo {
    position: relative;
    width: 32vw;
    height: 32vw;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .circle {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 90%;
    height: 90%;
    border-radius: 50%;
    background-color: #FFFFFF;
    animation: glow 2s infinite alternate;
    box-shadow: 0 0 50px var(--darktrans), 0 0 100px var(--darktrans), 0 0 150px var(--darktrans), 0 0 200px var(--darktrans);
  }
  
.svg-container {
  position: relative;
  width: 40vw;
  height: 40vw;
  display: flex;
  justify-content: center;
  align-items: center;
}

.image-background{
  position: absolute;
  top: 50%;
  left: 0%;
  transform: translate(-50%, -50%);
  width: 15vw;
  height: 15vw;
  object-fit: contain;
  transform-origin: center;
}

.image-logo {
  position: absolute;
  top: 15%;
  left: -88%;
  transform: translate(-50%, -50%);
  width: 28vw;
  height: 28vw;
  object-fit: contain;
  transform-origin: center;
}

.image-background {
  filter: drop-shadow(0px 0px 2px var(--dark)); /* Agrega el efecto de sombra */
  animation: scaleBackground 4s infinite alternate, glowBackground 4s infinite alternate, rotateBackground 20s linear infinite;
  z-index: 1;
}

.image-logo {
  filter: drop-shadow(0px 0px 2px var(--dark)); /* Agrega el efecto de sombra */
  animation: scaleLogo 4s infinite alternate, glowLogo 4s infinite alternate;
  z-index: 2;
}

  @keyframes glow {
    0% {
      opacity: 0.7;
    }
    100% {
      opacity: 1;
    }
  }

@keyframes scaleBackground {
  0%, 100% {
    transform: scale(0.8);
  }
  50% {
    transform: scale(0.98);
  }
}

@keyframes scaleLogo {
  0%, 100% {
    transform: scale(0.7);
  }
  50% {
    transform: scale(0.63);
  }
}

@keyframes glowBackground {
  0%, 100% {
    filter: drop-shadow(0px 0px 0.5px rgba(0,0,0,.9));
    opacity: 0.5; /* Imagen totalmente opaca */
  }
  50% {
    filter: drop-shadow(0px 0px 1px rgba(0,0,0,.7));
    opacity: 0.4; /* Imagen con transparencia del 50% */
  }
}

@keyframes glowLogo {
  0%, 100% {
    filter: drop-shadow(0px 0px 1px rgba(0,0,0,.7));
  }
  50% {
    filter: drop-shadow(0px 0px 2px rgba(0,0,0,.9));
  }
}

@keyframes rotateBackground {
  0% {
    transform: translate(-50%, -50%) rotate(0deg);
  }
  100% {
    transform: translate(-50%, -50%) rotate(360deg);
  }
}



/*******************************************************************************/

/********* video carousel **********/
.video-container {
    object-fit: cover;
    position: relative;
    overflow: hidden;
    padding-bottom: 40%; /* Proporción de aspecto 16:9 (dividir la altura por el ancho y multiplicar por 100) */
    height: 0;
}

.video-fluid {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.shutter-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to right, rgba(255, 255, 255, 0.6), rgba(0, 0, 0, 0.6));
    background-size: 100% 100%;
    pointer-events: none;
    animation: shutterAnimation 2s infinite;
}

@keyframes shutterAnimation {
    0% {
        background-position: 0 0;
    }
    100% {
        background-position: 100% 0;
    }
}


.image-container {
    position: relative;
    overflow: hidden;
    border-radius: 6px; /* Ajusta el valor según el redondeo deseado */
    min-height: 100%;
}

.image-container img {
    display: block;
    width: 90%;
    height: auto;
    transition: transform 0.3s ease; /* Transición suave al hacer zoom */
}

.image-container:hover img {
    transform: scale(1.2); /* Ajusta el valor para el efecto de zoom */
}

/****************************************************************************/


/*** Spinner ***/
#spinner {
    opacity: 0;
    visibility: hidden;
    transition: opacity .5s ease-out, visibility 0s linear .5s;
    z-index: 99999;
}

#spinner.show {
    transition: opacity .5s ease-out, visibility 0s linear 0s;
    visibility: visible;
    opacity: 1;
}


/*** Button ***/
.btn {
    transition: .5s;
}

.btn.btn-primary,
.btn.btn-outline-primary:hover,
.btn.btn-secondary,
.btn.btn-outline-secondary:hover {
    color: #FFFFFF;
}

.btn-primary {
    background-color: var(--primary) !important;
    border-color: var(--primary) !important;
}
.btn.btn-primary:hover {
    background: var(--primartrans) !important;
    border-color: var(--primartrans) !important;
}

.btn.btn-primary.wave-button {
  position: relative;
  transition: background-color 0.3s, border-color 0.3s;
  overflow: visible; /* Cambio aquí: permite que el efecto se extienda más allá de los límites del botón */
}

.btn.btn-primary.wave-button::before {
  content: '';
  position: absolute;
  top: -5px;
  left: -5px;
  right: -5px;
  bottom: -5px;
  border: 1px solid var(--primartrans); /* Color de las ondas */
  border-radius: 12px;
  opacity: 0;
  transform-origin: center;
  transform: scale(1.1);
  transition: opacity 0.3s, transform 0.5s;
  pointer-events: none;
}

.btn.btn-primary.wave-button:hover::before {
  opacity: 1;
  transform: scale(1);
  animation: waveAnimation 1.5s ease-out infinite;
}

@keyframes waveAnimation {
  0%, 100% {
    transform: scale(1);
    opacity: 0;
  }
  25% {
    transform: scale(1);
    opacity: 0.6;
  }
  50% {
    transform: scale(1.1);
    opacity: 0.1;
  }
  75% {
    transform: scale(1.15);
    opacity: 0.0;
  }
}


.btn-secondary {
    background-color: var(--secondary) !important;
    border-color: var(--secondary) !important;
}
.btn.btn-secondary:hover {
    background: var(--secondtrans) !important;
    border-color: var(--secondtrans) !important;
}

.btn-square {
    width: 38px;
    height: 38px;
}

.btn-sm-square {
    width: 32px;
    height: 32px;
}

.btn-lg-square {
    width: 48px;
    height: 48px;
}

.btn-square,
.btn-sm-square,
.btn-lg-square {
    padding: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: normal;
}


/*** Navbar ***/
.navbar.sticky-top {
    top: -100px;
    transition: .5s;
}

.navbar .navbar-brand img {
    max-height: 60vw;
}

.navbar .navbar-nav .nav-link {
    margin-left: 25px;
    padding: 10px 0;
    color: #696E77;
    font-weight: 500;
    outline: none;
}

.navbar .navbar-nav .nav-link:hover,
.navbar .navbar-nav .nav-link.active {
    color: var(--primary);
}

.navbar .dropdown-toggle::after {
    border: none;
    content: "\f107";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    vertical-align: middle;
    margin-left: 8px;
}

/******************************************************************************/

/***************************** sombra de raisons ******************************/
.color-bo {
  position: relative;
  overflow: hidden;
  background-color: #f8f9fa;
  transition: border-color 0.3s, box-shadow 0.3s; /* Agregar transiciones suaves */
  border: 1px solid transparent; /* Borde inicial transparente */
  box-shadow: 0px 0px 1px rgba(0, 0, 0, 5); /* Sombra inicial transparente */
}
.color-bo:active {
  animation: backgroundAnimation 5s linear infinite; /* Animación para cambiar el color de fondo */
  border-color: var(--primartrans); /* Cambiar el color del borde al pasar el mouse */
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2); /* Mostrar una sombra al pasar el mouse */
  pointer-events: auto;
  cursor: pointer;
}

.color-bo:hover {
  animation: backgroundAnimation 5s linear infinite; /* Animación para cambiar el color de fondo */
  border-color: var(--primartrans); /* Cambiar el color del borde al pasar el mouse */
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2); /* Mostrar una sombra al pasar el mouse */
  pointer-events: auto;
  cursor: pointer;
}

@keyframes backgroundAnimation {
  0% {
    background-color: #f8f9fa; /* Color inicial (bg-light) */
  }
  100% {
    background-color: var(--primary); /* Color final que deseas */
  }
}


select {
    width: 100%; /* Asegura que ambos select tengan el mismo ancho */
    max-width: 100%; /* Establece un ancho máximo para que no se expandan más allá del 100% */
}

/******************************************************************************/


/******************
    - Captcha -
******************/

.captcha {
	clear:both;
	display:inline-block;
	border:1px solid #bbb;
	padding:5px;
        width: 200px;
        height: 100px;;
	background:transparent;
	-webkit-border-radius:6px;
	   -moz-border-radius:6px;
			border-radius:4px;
}

.captcha img {
	display:block;
	float:left;
        padding:1.5px;
        height: 40px;
}

.captcha img.captcha-img {
	border:1px solid #bbb ;
	-webkit-border-radius:3px;
	   -moz-border-radius:3px;
			border-radius:3px;
}

.captcha > i.change-captcha {
	cursor:pointer;
	margin-top:25px;
	margin-left:25px;
        width: 25px;
        height: 25px;
        background: url(../img/refresh.png) no-repeat;
        background-size: 100%;
        -webkit-box-shadow: 0px 0px 0px #fff;
        -moz-box-shadow: 0px 0px 0px #fff;
}

.captcha > i.change-captcha:hover {
        box-shadow: 0px 0px 3px #454;
        -webkit-box-shadow: 0px 0px 3px #454;
        -moz-box-shadow: 0px 0px 3px #454;
}

input.captcha[type=text] {
	width:70% !important;
        height: 45%;
	margin-top:-7px;
}

input.autocomplete-off:focus{
      border: 1px solid #454;
      box-shadow: 0px 0px 3px #454;
      -webkit-box-shadow: 0px 0px 3px #999;
      -moz-box-shadow: 0px 0px 3px #999;
}

/************************
    - Notifications -
************************/
.notification {
	display:none;
	position:relative;
	clear:both; 
	margin:0 auto 15px; 
	width:100%;
	padding:15px;
	min-height:20px;
	-webkit-border-radius:3px;
	   -moz-border-radius:3px;
			border-radius:3px;
}

.notification .inner {
	clear:both;
	display:block;
	text-align:center;
	font-size:16px;
	line-height:24px;
	color:#fff;
}

.notification ul {
	margin-left:2em !important;
}

.notification p.error-message {
	font-weight:bold;
	margin-bottom:10px !important;
}

/* Notification close button */
.notification .close {
	position:absolute;
	display:block;
	right:15px;
    top:50%;
	margin-top:-5px;
	width:9px;
    height:9px;
	opacity:0.7;
	text-indent:-9000px;
	/*background:url(../img/notification-close.png) no-repeat;*/
	-webkit-transition:all .3s;
	   -moz-transition:all .3s;
			transition:all .3s;
}

.notification .close:hover {
    opacity:1;
}

/* Success notification box */
.notification.success {
	background-color:#217ADD;
}

/* Failure notification box */
.notification.fail {
	background-color: #E23C18;
}

/******************************************************************************/


@media (max-width: 991.98px) {
    .navbar .navbar-brand img {
        max-height: 10vw;
        height: 7vw;
        width: auto;
    }

    .navbar .navbar-nav {
        margin-top: 20px;
        margin-bottom: 15px;
    }

    .navbar .nav-item .dropdown-menu {
        padding-left: 30px;
    }
}

@media (min-width: 992px) {
    .navbar .nav-item .dropdown-menu {
        display: block;
        border: none;
        margin-top: 0;
        top: 150%;
        right: 0;
        opacity: 0;
        visibility: hidden;
        transition: .5s;
    }

    .navbar .nav-item:hover .dropdown-menu {
        top: 100%;
        visibility: visible;
        transition: .5s;
        opacity: 1;
    }
}


/*** Header ***/
.carousel-caption {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: flex;
    align-items: center;
    text-align: start;
    z-index: 1;
    /*height: 75%;*/
}

.carousel-control-prev,
.carousel-control-next {
    width: 15%;
}

.carousel-control-prev-icon,
.carousel-control-next-icon {
    width: 3rem;
    height: 3rem;
    background-color: var(--primary);
    border: 15px solid var(--primary);
    border-radius: 50px;
}

@media (max-width: 768px) {
    #header-carousel .carousel-item {
        position: relative;
        min-height: 85px;
    }
    
    #header-carousel .carousel-item img {
        position: absolute;
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
    
    .custom-navbar {
        padding-top: 1rem;
        padding-bottom: 1rem;
    }

    .mobile-margin{
        font-size: .82em;
        text-align: center !important;
    }

    .mobile-hide {
      display: none !important;
    }
  
    /****** vendor *********/
    .vendor-carousel {
      display: flex;
      align-items: center;
      overflow: hidden;
    }

    .vendor-item,
    .vendor-item-lg {
      display: flex;
      justify-content: center;
      align-items: center;
      width: 80%; /* Ancho deseado para cada imagen */
      height: 80%; /* Alto deseado para cada imagen */
      margin: 0 10px; /* Espacio entre imágenes */
      transition: transform 0.5s ease-in-out;
    }

    .vendor-item img {
      /*max-width: 100%;
      max-height: 100%;*/
      width: 7rem !important;
      height: auto;
    }

    .vendor-item-lg img {
      /*max-width: 80%;
      max-height: 80%;*/
      width: 5rem !important;
      height: auto;
    }

    .owl-stage {
      display: flex;
      align-items: center;
    }

    /*** Header ***/
    .carousel-caption {
        height: 100%;
    }    

    /************ Cursor Animado *******************/    
        .cursor-container,
        .cursor-animado{
            display: none; /* Oculta el cursor animado */
        }

    /********* video carousel **********/
    .video-container {
        object-fit: cover;
        position: relative;
        overflow: hidden;
        padding-bottom: 150%; /* Proporción de aspecto 16:9 (dividir la altura por el ancho y multiplicar por 100) */
        height: 0;
    }

    .video-fluid {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        object-fit: cover;
    }

    /*******************************************************************************/   
/******************** Animacion texto circulo *************************/
.circle-text{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    display: inline-block;
    place-items: center;
    position: relative; /* Agregado para establecerlo como ancestro posicionado */
    text-align: center;
    margin-left: 50%; /* Ajusta el margen izquierdo según tus necesidades */
    margin-top: 3.5%;
    padding: 0 !important;
}

  #text-circ {
    height: 44vw;
    font-size: 2.5vw;
    color: var(--light);
    animation: rotate 18s linear infinite;
    text-shadow: 0 0 1px var(--darktrans), 0 0 2px var(--darktrans), 0 0 3px var(--darktrans), 0 0 4px var(--darktrans);
  }
  
 .circle-text span {
    position: absolute;
    transform-origin: right 22vw; /* Cambiado para usar el borde derecho como punto de origen */
    right: 50%; /* Ajuste de posición hacia la derecha */
  }


  @keyframes rotate {
    from {
      transform: rotate(0deg);
    }
    to {
      transform: rotate(-360deg);
    }
  }

/*******************************************************************************/
/******************** Animacion para logo Banner ***********************/

  .container-logo {
    position: relative;
    width: 45vw;
    height: 45vw;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .circle {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    border-radius: 50%;
    background-color: #FFFFFF;
    animation: glow 2s infinite alternate;
    box-shadow: 0 0 50px var(--darktrans), 0 0 100px var(--darktrans), 0 0 150px var(--darktrans), 0 0 200px var(--darktrans);
  }
  
.svg-container {
  position: relative;
  width: 44vw;
  height: 44vw;
  display: flex;
  justify-content: center;
  align-items: center;
}

.image-background{
  position: absolute;
  top: 50%;
  left: 3.5%;
  transform: translate(-50%, -50%);
  width: 25vw;
  height: 25vw;
  object-fit: contain;
  transform-origin: center;
}

.image-logo {
  position: absolute;
  top: -5%;
  left: -99.5%;
  transform: translate(-50%, -50%);
  width: 45vw;
  height: 45vw;
  object-fit: contain;
  transform-origin: center;
}

.image-background {
  filter: drop-shadow(0px 0px 2px var(--dark)); /* Agrega el efecto de sombra */
  animation: scaleBackground 4s infinite alternate, glowBackground 4s infinite alternate, rotateBackground 20s linear infinite;
  z-index: 1;
}

.image-logo {
  filter: drop-shadow(0px 0px 4px var(--dark)); /* Agrega el efecto de sombra */
  animation: scaleLogo 4s infinite alternate, glowLogo 4s infinite alternate;
  z-index: 2;
}

  @keyframes glow {
    0% {
      opacity: 0.7;
    }
    100% {
      opacity: 1;
    }
  }

@keyframes scaleBackground {
  0%, 100% {
    transform: scale(0.8);
  }
  50% {
    transform: scale(0.98);
  }
}

@keyframes scaleLogo {
  0%, 100% {
    transform: scale(0.7);
  }
  50% {
    transform: scale(0.63);
  }
}

@keyframes glowBackground {
  0%, 100% {
    filter: drop-shadow(0px 0px 0.5px rgba(0,0,0,.5));
    opacity: 0.5; /* Imagen totalmente opaca */
  }
  50% {
    filter: drop-shadow(0px 0px 1px rgba(0,0,0,.4));
    opacity: 0.4; /* Imagen con transparencia del 50% */
  }
}

@keyframes glowLogo {
  0%, 100% {
    filter: drop-shadow(0px 0px 1px rgba(0,0,0,.7));
  }
  50% {
    filter: drop-shadow(0px 0px 2px rgba(0,0,0,.9));
  }
}

@keyframes rotateBackground {
  0% {
    transform: translate(-50%, -50%) rotate(0deg);
  }
  100% {
    transform: translate(-50%, -50%) rotate(360deg);
  }
}



/*******************************************************************************/


    /*******************************************************************************/ 

    /******************** Animacion texto Maquina de escribir **********************/

    .big-tagline {
      display: flex;
      flex-direction: column;
      justify-content: center;

      height: 100%; /* Asegura que el contenedor ocupe todo el alto disponible */
    }
    .fixed-width-button {
      font-size: 2vw;
      width: 23vw; /* Establece el ancho deseado para el botón */
      height: 8vw;
      padding: 10px 0px 0px 0px !important;
      margin-left: 4vw !important;
      border-radius: 4px;
    }

    .big-logo{
      align-items: center !important; /* Centra horizontalmente en el eje Y */
      padding: 15vw 0 15vw 0;
    }
    
    .typed-cur,
    .text-serv {
        font-size: 4.5vw;
        font-weight: bold;
        color: var(--secondary);
        font-style: normal;
        text-transform: uppercase;
    }

    .typed,
    .titulo-type {
        margin: 0;
        display: inline-block;
        line-height: 0; /* Ajustado el line-height para evitar inclinación */
        padding: 0 0 0 2vw;
        transform: none !important; /* Anula cualquier transformación aplicada de manera general */

    }

    .cadena-type p {
        margin: 0;
    }

    .lead {
        font-size: 3.3vw;
        font-style: normal;
        color: var(--dark);
        padding: 15px;
        color: #000 !important;
    }

    /**************************************************************************************/


}

.page-header {
    /*background: url(../img/carousel-1.jpg) center center no-repeat;*/
    background-size: cover;
}

.page-header .breadcrumb-item,
.page-header .breadcrumb-item a {
    font-weight: 500;
}

.page-header .breadcrumb-item a,
.page-header .breadcrumb-item+.breadcrumb-item::before {
    color: #696E77;
}

.page-header .breadcrumb-item a:hover,
.page-header .breadcrumb-item.active {
    color: var(--primary);
}


/*** Facts ***/
@media (min-width: 992px) {
    .container.facts {
        max-width: 100% !important;
    }

    .container.facts .facts-text {
        padding-left: calc(((100% - 960px) / 2) + .75rem);
    }

    .container.facts .facts-counter {
        padding-right: calc(((100% - 960px) / 2) + .75rem);
    }
}

@media (min-width: 1200px) {
    .container.facts .facts-text  {
        padding-left: calc(((100% - 1140px) / 2) + .75rem);
    }

    .container.facts .facts-counter  {
        padding-right: calc(((100% - 1140px) / 2) + .75rem);
    }
}

@media (min-width: 1400px) {
    .container.facts .facts-text  {
        padding-left: calc(((100% - 1320px) / 2) + .75rem);
    }

    .container.facts .facts-counter  {
        padding-right: calc(((100% - 1320px) / 2) + .75rem);
    }
}

.container.facts .facts-text {
    background: linear-gradient(rgba(1, 95, 201, .9), rgba(1, 95, 201, .9)), url(../img/carousel-1.jpg) center right no-repeat;
    background-size: cover;
}

.container.facts .facts-counter {
    background: linear-gradient(rgba(255, 255, 255, .9), rgba(255, 255, 255, .9)), url(../img/carousel-2.jpg) center right no-repeat;
    background-size: cover;
}

.container.facts .facts-text .h-100,
.container.facts .facts-counter .h-100 {
    padding: 6rem 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

/***************** Vendor **********************/
.vendor-carousel {
  display: flex;
  align-items: center;
  overflow: hidden;
}

.vendor-item,
.vendor-item-lg {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 80%; /* Ancho deseado para cada imagen */
  height: 80%; /* Alto deseado para cada imagen */
  margin: 0 10px; /* Espacio entre imágenes */
  transition: transform 0.5s ease-in-out;
}

.vendor-item img {
  /*max-width: 100%;
  max-height: 100%;*/
  width: 100% ;
  height: auto;
}

.vendor-item-lg img {
  /*max-width: 100%;
  max-height: 80%;*/
  width: 60% !important;
  height: auto;
}

.owl-stage {
  display: flex;
  align-items: center;
}



/***************** Service **********************/

.service-item {
  position: relative;
  overflow: hidden;
  transition: border-color 0.3s, box-shadow 0.3s; /* Agregar transiciones suaves */
  border: 1px solid transparent; /* Borde inicial transparente */
  box-shadow: 0px 0px 3px rgba(0, 0, 0, .5); /* Sombra inicial transparente */
}

.service-item:hover {
  animation: backgroundAnimation 5s linear infinite; /* Animación para cambiar el color de fondo */
  border-color: var(--primartrans); /* Cambiar el color del borde al pasar el mouse */
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2); /* Mostrar una sombra al pasar el mouse */
}

@keyframes backgroundAnimation {
  0% {
    background-color: var(--light); /* Color inicial (bg-light) */
    color:var(--dark);
  }
  100% {
    background-color: var(--primary); /* Color final que deseas */
    color: var(--light);
  }
}

.full{
    height: 65%;
    width: 100%;
    display: flex;

}
.vin{
    list-style: disc;
    padding: 2px 0px;
    margin: 0;

}
.ul-vin{
    padding-left: 5px;
}

.service-item .service-icon {
    width: 90px;
    height: 90px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.service-item .service-icon img {
    max-width: 60px;
    max-height: 60px;
}

.service-item a.btn {
    color: var(--primary);
}

.service-item a.btn:hover {
    color: #FFFFFF;
    background: var(--primary);
    border-color: var(--primary);
}


/*** Appointment ***/
.appointment {
    background: linear-gradient(rgba(1, 95, 201, .9), rgba(1, 95, 201, .9)), url(../img/carousel-1.jpg) center center no-repeat;
    background-size: cover;
}


/*** Team ***/
.team-item {
    position: relative;
    overflow: hidden;
    box-shadow: 0 0 45px rgba(0, 0, 0, .07);
}

.team-item img {
    transition: .5s;
}

.team-item:hover img {
    transform: scale(1.1);
}

.team-text {
    position: absolute;
    width: 100%;
    left: 0;
    bottom: -50px;
    opacity: 0;
    transition: .5s;
}

.team-item:hover .team-text {
    bottom: 0;
    opacity: 1;
}

.team-item a.btn {
    color: var(--primary);
}

.team-item a.btn:hover {
    color: #FFFFFF;
    background: var(--primary);
    border-color: var(--primary);
}


/*** Testimonial ***/
.animated.pulse {
    animation-duration: 1.5s;
}

.testimonial-left,
.testimonial-right {
    position: relative;
}

.testimonial-left img,
.testimonial-right img {
    position: absolute;
    padding: 5px;
    border: 1px dashed var(--primary);
    border-radius: 10px;
}

.testimonial-left img:nth-child(1),
.testimonial-right img:nth-child(3) {
    width: 70px;
    height: 70px;
    top: 10%;
    left: 50%;
    transform: translateX(-50%);
}

.testimonial-left img:nth-child(2),
.testimonial-right img:nth-child(2) {
    width: 60px;
    height: 60px;
    top: 50%;
    left: 10%;
    transform: translateY(-50%);
}

.testimonial-left img:nth-child(3),
.testimonial-right img:nth-child(1) {
    width: 50px;
    height: 50px;
    bottom: 10%;
    right: 10%;
}

.testimonial-carousel .owl-item img {
    width: 100px;
    height: 100px;
}

.testimonial-carousel .owl-nav {
    margin-top: 30px;
    display: flex;
    justify-content: center;
}

.testimonial-carousel .owl-nav .owl-prev,
.testimonial-carousel .owl-nav .owl-next {
    margin: 0 5px;
    width: 45px;
    height: 45px;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #FFFFFF;
    background: var(--primary);
    border-radius: 10px;
    font-size: 22px;
    transition: .5s;
}

.testimonial-carousel .owl-nav .owl-prev:hover,
.testimonial-carousel .owl-nav .owl-next:hover {
    background: var(--secondary);
}


/*** Footer ***/
.footer {
    color: #A7A8B4;
}

.footer .btn.btn-link {
    display: block;
    margin-bottom: 5px;
    padding: 0;
    text-align: left;
    color: #A7A8B4;
    font-weight: normal;
    text-transform: capitalize;
    transition: .3s;
}

.footer .btn.btn-link::before {
    position: relative;
    content: "\f105";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    color: #A7A8B4;
    margin-right: 10px;
}

.footer .btn.btn-link:hover {
    color: var(--light);
    letter-spacing: 1px;
    box-shadow: none;
}

.footer .btn.btn-square {
    color: #A7A8B4;
    border: 1px solid#A7A8B4;
}

.footer .btn.btn-square:hover {
    color: var(--secondary);
    border-color: var(--light);
}

.footer .copyright {
    padding: 25px 0;
    font-size: 13px;
    border-top: 1px solid rgba(256, 256, 256, .1);
}

.footer .copyright a {
    color: var(--secondary);
}

.footer .copyright a:hover {
    color: #FFFFFF;
}


